#ifndef SRC_HDF_FRICTIONALBOUNDARY_WRITER_HH
#define SRC_HDF_FRICTIONALBOUNDARY_WRITER_HH


#include <dune/fufem/boundarypatch.hh>
#include <dune/fufem/hdf5/sequenceio.hh>

template <class GridView> class FrictionalBoundaryWriter {
public:
  using Patch = BoundaryPatch<GridView>;

  template <class Vector>
  FrictionalBoundaryWriter(HDF5::Group& group, const Vector& vertexCoordinates,
                           const Patch& frictionalBoundary);

  template <class Vector, class ScalarVector>
  void write(const size_t timeStep, const Vector& u, const Vector& v, const ScalarVector& alpha, const ScalarVector& frictionCoeff);

private:
  HDF5::Group& group_;

  const Patch& frictionalBoundary_;

  HDF5::SequenceIO<2> frictionalBoundaryDisplacementWriter_;
  HDF5::SequenceIO<2> frictionalBoundaryVelocityWriter_;
  HDF5::SequenceIO<1> frictionalBoundaryStateWriter_;
  HDF5::SequenceIO<1> frictionalBoundaryCoefficientWriter_;
};
#endif
