#ifndef MY_DIM
#error MY_DIM unset
#endif

#include "../explicitgrid.hh"
#include "../explicitvectors.hh"

#include <dune/fufem/functionspacebases/p0basis.hh>
#include <dune/fufem/functionspacebases/p1nodalbasis.hh>

using MyP0Basis = P0Basis<DeformedGrid::LeafGridView, double>;
using P1Basis = P1NodalBasis<DeformedGrid::LeafGridView, double>;

template class MyVTKWriter<P1Basis, MyP0Basis>;

template void MyVTKWriter<P1Basis, MyP0Basis>::write<Vector, ScalarVector>(
    size_t record, const std::vector<Vector>& u, const std::vector<Vector>& v,
        const std::vector<ScalarVector>& alpha, const std::vector<ScalarVector>& stress) const;
